Subject: Re: Removing the trailing "/.git" from gitweb display?

From: "J.H." <[email-masked]>
Date: Fri, 15 May 2009 14:14:54 -0700

Your actually barking up two separate trees / issues here.

Timur Tabi wrote:
> I noticed that most gitweb pages show their repositories like this:
> 
> bluetooth/bluez-gnome.git 	Bluetooth applications for ... 	Marcel Holtmann
> bluetooth/bluez-hcidump.git 	Bluetooth packet analyzer 	Marcel Holtmann
> bluetooth/bluez.git 	Bluetooth protocol stack for ... 	Marcel Holtmann

I'm going to assume you pulled this off of kernel.org, but the basic 
reason here is that we use the <project>.git moniker as a standard to 
designate that the underlying directory is a bare git repo.  That's 
really it there.  We do have a script that wanders our directory 
structure and looks or directories based on the <project>.git so that's 
a bit required from our perspective.

> 
> However, mine looks like this:
> 
> alsa.1862/.git	8610 audio: fabric driver uses wrong DMA channels for... 	Timur
> alsa.2598/.git	8610 audio: migrate ASoC V2 drivers to mainline	Timur
> alsa.3313/.git	Introduce spin_event_timeout()	Timur

If your doing that, then your putting a full git tree into gitweb as 
opposed to a bare repo.  I would suggest only putting a bare repo.

> 
> Notice how my repositories have a trailing "/.git" to them?  How do I
> get rid of that?
> 
> My gitweb.conf is:
> 
> $projectroot = '/home/b04825/git/';
> $site_name = "Timur Tabi's git repositories";
> $home_link = $my_uri;
> @stylesheets = ("gitweb.css");
> $favicon = "git-favicon.png";
> $logo = "git-logo.png";
> $projects_list = '/home/b04825/git/projects_list';
> $projects_list_description_width = 50;
> 
> And /home/b04825/git/projects_list looks like:
> 
> alsa.1862/.git Timur
> alsa.2598/.git Timur
> alsa.3313/.git Timur
> 
> I presume the reason why gitweb shows the trailing "/.git" is because
> that's what my projects_list file contains.  However, if I remove the
> "/.git" from projects_list, gitweb can't find any repositories.